> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List Status Page Post Updates

`GET https://api.pagerduty.com/status_pages/{id}/posts/{post_id}/post_updates`

List Post Updates for a Status Page by Status Page ID and Post ID.

Scoped OAuth requires: `status_pages.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |
| `post_id` | string | yes | The ID of the Status Page Post. |

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `reviewed_status` | string |  | Filter by the reviewed status of the Post Update to retrieve. One of: `approved`, `not_reviewed`. |
| `limit` | integer |  | The number of results per page. Default: `100`. Minimum: 0. Maximum: 100. |
| `offset` | integer |  | Offset to start pagination search results. Default: `0`. Minimum: 0. |
| `total` | boolean |  | By default the `total` field in pagination responses is set to `null` to provide the fastest possible response times. Set `total` to `true` for this field to be populated. See our [Pagination Docs](https://docs.pagerduty.com/developer/pagination) for more information. Default: `false`. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

OK

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `offset` | integer |  | Echoes offset pagination property. Read-only. |
| `limit` | integer |  | Echoes limit pagination property. Read-only. |
| `more` | boolean |  | Indicates if there are additional records to return. Read-only. |
| `total` | integer \| null |  | The total number of records matching the given query. Read-only. |
| `post_updates` | array of object |  |  |
| `post_updates[].id` | string |  | The ID of the Post Update. Read-only. |
| `post_updates[].self` | string |  | The path to which the Post Update resource is accessible. Read-only. |
| `post_updates[].post` | object |  | Status Page Post. |
| `post_updates[].post.id` | string | yes | Status page post unique identifier. |
| `post_updates[].post.type` | string |  | A string that determines the schema of the object. |
| `post_updates[].message` | string |  | The message of the Post Update. |
| `post_updates[].reviewed_status` | string |  | The status of the Post Updates to retrieve. One of: `approved`, `not_reviewed`. |
| `post_updates[].status` | object |  | Status Page Status. |
| `post_updates[].status.id` | string | yes | Status page Status unique identifier. |
| `post_updates[].status.type` | string |  | A string that determines the schema of the object. |
| `post_updates[].severity` | object |  | Status Page Severity. |
| `post_updates[].severity.id` | string | yes | Status page Severity unique identifier. |
| `post_updates[].severity.type` | string |  | A string that determines the schema of the object. |
| `post_updates[].impacted_services` | array of object |  | Impacted services represent the status page services affected by a post update, and its impact. Min items: 0. |
| `post_updates[].impacted_services[].service` | object |  | Status Page Service. |
| `post_updates[].impacted_services[].service.id` | string |  | An unique identifier within Status Page scope that defines a Service entry. Read-only. |
| `post_updates[].impacted_services[].service.type` | string |  | The type of the object returned by the API - in this case, a Status Page Service. |
| `post_updates[].impacted_services[].impact` | object |  | Status Page Impact. |
| `post_updates[].impacted_services[].impact.id` | string |  | An unique identifier within Status Page scope that defines a Status Page Impact entry. Read-only. |
| `post_updates[].impacted_services[].impact.type` | string |  | The type of the object returned by the API - in this case, a Status Page Impact. |
| `post_updates[].update_frequency_ms` | integer \| null |  | The frequency of the next Post Update in milliseconds. |
| `post_updates[].notify_subscribers` | boolean |  | Determines if the subscribers should be notified of the Post Update. |
| `post_updates[].reported_at` | string \| null (date-time) |  | The date and time the Post Update was reported. |
| `post_updates[].type` | string |  | The type of the object returned by the API - in this case, a Status Page Post Update. |

Example: Response Example

```json
{
  "limit": 100,
  "more": false,
  "offset": 0,
  "post_updates": [
    {
      "id": "PXSOCH0",
      "impacted_services": [
        {
          "impact": {
            "id": "PY5OM08",
            "self": "https://api.pagerduty.com/status_pages/PR5LMML/impacts/PY5OM08",
            "type": "status_page_impact"
          },
          "service": {
            "id": "PYHMEI3",
            "self": "https://api.pagerduty.com/status_pages/PR5LMML/services/PYHMEI3",
            "type": "status_page_service"
          }
        }
      ],
      "message": "<p>We will be undergoing schedule maitenance at this date and time</p>",
      "notify_subscribers": false,
      "post": {
        "id": "P6F2CJ3",
        "self": "https://api.pagerduty.com/status_pages/PR5LMML/posts/P6F2CJ3",
        "type": "status_page_post"
      },
      "reported_at": "2023-12-12T10:08:19.000Z",
      "reviewed_status": "approved",
      "self": "https://api.pagerduty.com/status_pages/PR5LMML/posts/P6F2CJ3/post_updates/PXSOCH0",
      "severity": {
        "id": "PY5OM08",
        "self": "https://api.pagerduty.com/status_pages/PR5LMML/severities/PY5OM08",
        "type": "status_page_severity"
      },
      "status": {
        "id": "P0400H4",
        "self": "https://api.pagerduty.com/status_pages/PR5LMML/statuses/P0400H4",
        "type": "status_page_status"
      },
      "type": "status_page_post_update"
    }
  ],
  "total": 1
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
